summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Carlin (volkris) <ccarlin@physics.tamu.edu>2007-02-19 15:15:11 +0000
committerChris Carlin (volkris) <ccarlin@physics.tamu.edu>2007-02-19 15:15:11 +0000
commit35e8c75cb7b7e8ffdf285ff86214b0ee8608f377 (patch)
tree40b139af9103895e2debe532f332fa3a055f4004 /net-dns/inadyn/files
parentnet-mail/checkgmail: new ebuild for checkgmail, Bug #117867 (diff)
downloadsunrise-35e8c75cb7b7e8ffdf285ff86214b0ee8608f377.tar.gz
sunrise-35e8c75cb7b7e8ffdf285ff86214b0ee8608f377.tar.bz2
sunrise-35e8c75cb7b7e8ffdf285ff86214b0ee8608f377.zip
net-dns/inadyn: New Ebuild for bug 167619
svn path=/sunrise/; revision=3040
Diffstat (limited to 'net-dns/inadyn/files')
-rw-r--r--net-dns/inadyn/files/digest-inadyn-1.963
-rw-r--r--net-dns/inadyn/files/inadyn.conf6
-rw-r--r--net-dns/inadyn/files/inadyn.initd25
3 files changed, 34 insertions, 0 deletions
diff --git a/net-dns/inadyn/files/digest-inadyn-1.96 b/net-dns/inadyn/files/digest-inadyn-1.96
new file mode 100644
index 000000000..780c0bdc5
--- /dev/null
+++ b/net-dns/inadyn/files/digest-inadyn-1.96
@@ -0,0 +1,3 @@
+MD5 0d5ab08003ac08c36f55a562d0c4b1c1 inadyn.v1.96.zip 127742
+RMD160 e029f50c2a2d42ab827c1aa60d475bd0e8a988e4 inadyn.v1.96.zip 127742
+SHA256 2bcb7fd827faecfbb53ccd9fa14e6ba20b293321a56dd94bd0055d9b1f367cc1 inadyn.v1.96.zip 127742
diff --git a/net-dns/inadyn/files/inadyn.conf b/net-dns/inadyn/files/inadyn.conf
new file mode 100644
index 000000000..7e84034bb
--- /dev/null
+++ b/net-dns/inadyn/files/inadyn.conf
@@ -0,0 +1,6 @@
+# A quick example for freedns.afraid.org
+# (see docs about using hashes for freedns.afraid.org)
+
+alias example.net,HASHHASHHASH
+dyndns_system default@freedns.afraid.org
+update_period_sec 600
diff --git a/net-dns/inadyn/files/inadyn.initd b/net-dns/inadyn/files/inadyn.initd
new file mode 100644
index 000000000..da388ba16
--- /dev/null
+++ b/net-dns/inadyn/files/inadyn.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need net
+ use logger dns
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting inadyn"
+ start-stop-daemon --start --chuid inadyn --exec /usr/sbin/inadyn \
+ --pidfile /var/run/inadyn.pid --make-pidfile --background \
+ -- --syslog --input_file /etc/inadyn.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping inadyn"
+ start-stop-daemon --stop --exec /usr/sbin/inadyn \
+ --pidfile /var/run/inadyn.pid
+ eend $?
+}